Logistic {stats} | R Documentation

## The Logistic Distribution

### Description

Density, distribution function, quantile function and random generation for the logistic distribution with parameters `location` and `scale`.

### Usage

    dlogis(x, location = 0, scale = 1, log = FALSE)
    plogis(q, location = 0, scale = 1, lower.tail = TRUE, log.p = FALSE)
    qlogis(p, location = 0, scale = 1, lower.tail = TRUE, log.p = FALSE)
    rlogis(n, location = 0, scale = 1)

### Arguments

`x, q` | vector of quantiles.
`p` | vector of probabilities.
`n` | number of observations. If `length(n) > 1`, the length is taken to be the number required.
`location, scale` | location and scale parameters.
`log, log.p` | logical; if TRUE, probabilities p are given as log(p).
`lower.tail` | logical; if TRUE (default), probabilities are P[X <= x], otherwise, P[X > x].

### Details

If `location` or `scale` are omitted, they assume the default values of `0` and `1` respectively.

The Logistic distribution with `location` = m and `scale` = s has distribution function

F(x) = 1 / (1 + exp(-(x-m)/s))

and density

f(x) = 1/s exp((x-m)/s) (1 + exp((x-m)/s))^-2.

It is a long-tailed distribution with mean m and variance pi^2 /3 s^2.

### Value

`dlogis` gives the density, `plogis` gives the distribution function, `qlogis` gives the quantile function, and `rlogis` generates random deviates.

### Note

`qlogis(p)` is the same as the well known ‘logit’ function, logit(p) = log(p/(1-p)), and `plogis(x)` has consequently been called the ‘inverse logit’.

The distribution function is a rescaled hyperbolic tangent, `plogis(x) == (1+ tanh(x/2))/2`, and it is called a sigmoid function in contexts such as neural networks.

### Source

`[dpr]logis` are calculated directly from the definitions.

`rlogis` uses inversion.

### References

Becker, R. A., Chambers, J. M. and Wilks, A. R. (1988) The New S Language. Wadsworth & Brooks/Cole.

Johnson, N. L., Kotz, S. and Balakrishnan, N. (1995) Continuous Univariate Distributions, volume 2, chapter 23. Wiley, New York.

### Examples

    var(rlogis(4000, 0, scale = 5))# approximately (+/- 3)
    pi^2/3 * 5^2

[Package stats version 2.8.1 Index]